Skip to main content
POST
/
v1
/
generation
/
image-to-video
Submit Image-to-Video Task
curl --request POST \
  --url https://api.weryai.com/v1/generation/image-to-video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "WERYAI_VIDEO_1_0",
  "prompt": "Make the person wave their hand",
  "image": "https://example.com/reference.jpg",
  "video_number": 4,
  "aspect_ratio": "16:9",
  "duration": 5,
  "generate_audio": false
}
'
{
  "status": 0,
  "desc": "success",
  "message": "success",
  "data": {
    "batch_id": 123456789,
    "task_ids": [
      "task_abc123"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.weryai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using Bearer token. Get your API Key from the WeryAI Console.

Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx

Body

application/json
model
string
required

Model Key. Supported models for image-to-video:

Model NameModel KeySupported Aspect RatiosSupported Durations (s)
WeryAI Video 1.0WERYAI_VIDEO_1_09:16 1:1 16:94~15
Veo 3.1VEO_3_19:16 16:98
Veo 3.1 FastCHATBOT_VEO_3_1_FAST9:16 16:98
Sora 2SORA_29:16 16:94, 8, 12
Sora 2 ProSORA_2_PRO9:16 16:94, 8, 12
Werydance 2.0WERYDANCE_2_09:16 1:1 16:94~15
Werydance 2.0 FastWERYDANCE_2_0_FAST9:16 1:1 16:94~15
Seedance 1.5 ProDOUBAO_1_5_PRO9:16 16:9 4:3 3:4 1:1 21:95, 10
Kling 3.0 StandardKLING_V3_0_STA9:16 16:9 1:15, 10, 15
Kling 3.0 ProKLING_V3_0_PRO9:16 16:9 1:15, 10, 15
Kling 2.6 ProKLING_V2_6_PRO-5, 10
Kling O1KLING_O19:16 16:9 1:15, 10
Vidu Q3VIDU_Q39:16 3:4 1:1 4:3 16:95, 10, 15
Wan 2.6WAN_2_6-5, 10, 15
Veo 3VEO_39:16 16:98
Veo 3 FastVEO_3_FAST9:16 16:98
Pika 2.2PIKA_2_2-5, 10
Pixverse V6PIXVERSE_V6-1~15
Hailuo 2.3 Standard FastHAILUO_2_3_STA_FAST-6, 10
Hailuo 2.3 Pro FastHAILUO_2_3_PRO_FAST-5
Hailuo 2.3 StandardHAILUO_2_3_STA-6, 10
Hailuo 2.3 ProHAILUO_2_3_PRO-5
Seedance 1.0 LiteDOUBAO_1_LITE9:16 1:1 16:94~15
Seedance 1.0 ProDOUBAO9:16 16:9 4:3 3:4 1:1 21:95, 10
Seedance 1.0 Pro FastDOUBAO_1_PRO_FAST9:16 16:9 4:3 3:4 1:1 21:95, 10
Runway Gen 4.5RUNWAY_4_59:16 1:1 3:4 4:3 16:9 21:92~10
Runway Gen 4RUNWAY9:16 1:1 3:4 4:3 16:9 21:92~10
Kling 2.5 TurboKLING_V2_5_TURBO9:16 16:9 1:15, 10
Wan 2.5WAN_2_5-5, 10
Dreamina 3.0 ProDREAMINA_3_PRO-5, 10
Dreamina 3.0DREAMINA_3-5, 10
Kling V2.1 StandardKLING_V2_1-5, 10
Kling V2.1 MasterKLING_V2_1_MASTER-5, 10
Kling V2.1 ProKLING_V2_1_PRO-5, 10
Grok Imagine VideoGROK_IMAGINE_IMAGE_TO_VIDEO9:16 1:1 16:9 4:3 3:2 2:3 3:45, 10, 15
Example:

"WERYAI_VIDEO_1_0"

prompt
string
required

Positive text prompt

Required string length: 1 - 2000
Example:

"Make the person wave their hand"

image
string<uri>
required

Reference image (supports jpg, jpeg, png, webp)

Example:

"https://example.com/reference.jpg"

aspect_ratio
string
required

Video aspect ratio. Refer to the model table above for supported values per model. Models marked with - do not support aspect ratio selection.

Example:

"16:9"

duration
integer
required

Video duration in seconds. Refer to the model table above for supported values per model.

Example:

5

negative_prompt
string

Negative text prompt. Only supported by the following models:

Model NameModel Key
WeryAI Video 1.0WERYAI_VIDEO_1_0
Seedance 1.5 ProDOUBAO_1_5_PRO
Kling 3.0 StandardKLING_V3_0_STA
Kling 3.0 ProKLING_V3_0_PRO
Kling 2.6 ProKLING_V2_6_PRO
Kling 2.5 TurboKLING_V2_5_TURBO
Kling V2.1 StandardKLING_V2_1
Kling V2.1 MasterKLING_V2_1_MASTER
Kling V2.1 ProKLING_V2_1_PRO
Wan 2.6WAN_2_6
Pika 2.2PIKA_2_2
Pixverse V6PIXVERSE_V6
Seedance 1.0 LiteDOUBAO_1_LITE
Seedance 1.0 ProDOUBAO
Seedance 1.0 Pro FastDOUBAO_1_PRO_FAST
Maximum string length: 1000
video_number
enum<integer>
default:1

Number of videos to generate (1~4).

Available options:
1,
2,
3,
4
resolution
string

Video resolution. Supported values per model:

Model NameModel KeySupported Resolutions
WeryAI Video 1.0WERYAI_VIDEO_1_0480p 720p
Veo 3.1VEO_3_1720p 1080p
Veo 3.1 FastCHATBOT_VEO_3_1_FAST720p 1080p
Sora 2SORA_2720p
Sora 2 ProSORA_2_PRO720p 1080p
Werydance 2.0WERYDANCE_2_0480p 720p 1080p
Werydance 2.0 FastWERYDANCE_2_0_FAST480p 720p
Seedance 1.5 ProDOUBAO_1_5_PRO480p 720p 1080p
Vidu Q3VIDU_Q3360p 540p 720p 1080p
Wan 2.6WAN_2_6720p 1080p
Veo 3VEO_3720p 1080p
Veo 3 FastVEO_3_FAST720p 1080p
Pika 2.2PIKA_2_2720p 1080p
Pixverse V6PIXVERSE_V6360p 540p 720p 1080p
Seedance 1.0 LiteDOUBAO_1_LITE480p 720p
Seedance 1.0 ProDOUBAO480p 720p 1080p
Seedance 1.0 Pro FastDOUBAO_1_PRO_FAST480p 720p 1080p
Wan 2.5WAN_2_5480p 720p 1080p
Dreamina 3.0DREAMINA_3720p 1080p
Grok Imagine VideoGROK_IMAGINE_IMAGE_TO_VIDEO480p 720p
Example:

"720p"

generate_audio
string

Whether to generate audio. Enter true or false manually. Only supported by the following models:

Model NameModel Key
Veo 3.1VEO_3_1
Veo 3.1 FastCHATBOT_VEO_3_1_FAST
Werydance 2.0WERYDANCE_2_0
Werydance 2.0 FastWERYDANCE_2_0_FAST
Seedance 1.5 ProDOUBAO_1_5_PRO
Kling 3.0 StandardKLING_V3_0_STA
Kling 3.0 ProKLING_V3_0_PRO
Kling 2.6 ProKLING_V2_6_PRO
Vidu Q3VIDU_Q3
Veo 3VEO_3
Veo 3 FastVEO_3_FAST
Pixverse V6PIXVERSE_V6
Example:

"false"

webhook_url
string<uri>

Callback URL

caller_id
integer<int64>

Caller ID

Response

Task submitted successfully

status
integer

Business status code (0 indicates success)

Example:

0

desc
string

Status description

Example:

"success"

message
string

Multi-language message

Example:

"success"

data
object